*,
*:after,
*:before {
  box-sizing: inherit;
}

html {
  box-sizing: border-box;
  font-size: 62.5%;
}

body {
  color: #212121;
  background-color: #fafafa;
  margin: 0;
  font-family: Merriweather, Georgia, serif;
  font-size: 1.6em;
  font-weight: 300;
  line-height: 1.8em;
}
@media only screen and (max-width: 768px) {
  body {
    font-size: 1.6em;
    line-height: 1.6em;
  }
}

a {
  font-weight: 300;
  color: #1254a1;
  text-decoration: none;
}
a:focus, a:hover {
  text-decoration: underline;
}

p {
  margin: 2rem 0 2rem 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: Lato, Helvetica, sans-serif;
  font-weight: 700;
  color: #000;
  margin: 6.4rem 0 3.2rem 0;
}

h1 {
  font-size: 3.2rem;
  line-height: 3.6rem;
}
@media only screen and (max-width: 768px) {
  h1 {
    font-size: 3rem;
    line-height: 3.4rem;
  }
}

h2 {
  font-size: 2.8rem;
  line-height: 3.2rem;
}
@media only screen and (max-width: 768px) {
  h2 {
    font-size: 2.6rem;
    line-height: 3rem;
  }
}

h3 {
  font-size: 2.4rem;
  line-height: 2.8rem;
}
@media only screen and (max-width: 768px) {
  h3 {
    font-size: 2.2rem;
    line-height: 2.6rem;
  }
}

h4 {
  font-size: 2.2rem;
  line-height: 2.6rem;
}
@media only screen and (max-width: 768px) {
  h4 {
    font-size: 2rem;
    line-height: 2.4rem;
  }
}

h5 {
  font-size: 2rem;
  line-height: 2.4rem;
}
@media only screen and (max-width: 768px) {
  h5 {
    font-size: 1.8rem;
    line-height: 2.2rem;
  }
}

h6 {
  font-size: 1.8rem;
  line-height: 2.2rem;
}
@media only screen and (max-width: 768px) {
  h6 {
    font-size: 1.6rem;
    line-height: 2rem;
  }
}

b,
strong {
  font-weight: 700;
}

.highlight > div,
.highlight > pre {
  margin: 0 0 2rem;
  padding: 1rem;
  border-radius: 1rem;
}

pre {
  display: block;
  font-family: "Inconsolata", monospace;
  font-size: 1.6rem;
  font-weight: 400;
  line-height: 2.6rem;
  overflow-x: auto;
  margin: 0;
}
pre code {
  display: inline-block;
  background-color: inherit;
  color: inherit;
}

code {
  font-family: "Inconsolata", monospace;
  font-size: 1.6rem;
  font-weight: 400;
  background-color: #e0e0e0;
  color: #212121;
}

blockquote {
  border-left: 2px solid #e0e0e0;
  padding-left: 2rem;
  line-height: 2.2rem;
  font-weight: 400;
  font-style: italic;
}

th,
td {
  padding: 1.6rem;
}

table {
  border-collapse: collapse;
}

table td,
table th {
  border: 2px solid #000;
}

table tr:first-child th {
  border-top: 0;
}

table tr:last-child td {
  border-bottom: 0;
}

table tr td:first-child,
table tr th:first-child {
  border-left: 0;
}

table tr td:last-child,
table tr th:last-child {
  border-right: 0;
}

img {
  max-width: 100%;
}

figure {
  text-align: center;
}

.wrapper {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  width: 100%;
}

.container {
  margin: 0 auto;
  padding-left: 2rem;
  padding-right: 2rem;
  width: 100%;
  max-width: 90rem;
}
@media (min-width: 640px) {
  .container {
    max-width: 640px;
  }
}
@media (min-width: 768px) {
  .container {
    max-width: 768px;
  }
}
@media (min-width: 1024px) {
  .container {
    max-width: 1024px;
  }
}

.fab {
  font-weight: 400;
}

.fas {
  font-weight: 900;
}

.header-link-icon {
  opacity: 0.3;
}

.header-link-icon:hover {
  opacity: 1;
}

@media (prefers-color-scheme: dark) {
  body {
    color: #fafafa;
    background-color: #212121;
  }
  a {
    color: #83b6f1;
  }
  h1,
h2,
h3,
h4,
h5,
h6 {
    color: #e9e9e9;
  }
  code {
    background-color: #1a1a1a;
    color: #fafafa;
  }
  blockquote {
    border-left: 2px solid #1a1a1a;
  }
  table td,
table th {
    border: 2px solid #e9e9e9;
  }
}
.content {
  flex: 1;
  display: flex;
  margin-top: 1.6rem;
  margin-bottom: 3.2rem;
}
.content article header {
  margin-top: 6.4rem;
  margin-bottom: 3.2rem;
}
.content article footer {
  margin-top: 4rem;
}
.content article footer .see-also {
  margin: 3.2rem 0;
}
.content article footer .see-also h3 {
  margin: 3.2rem 0;
}
.content .post .post-title {
  margin-bottom: 0.75em;
}
.content .post .post-meta div {
  display: flex;
  align-items: center;
  height: 3rem;
}
.content .post .post-meta i {
  text-align: center;
  width: 1.6rem;
  margin-left: 0;
  margin-right: 0.5rem;
}
.content .post .post-meta .date .posted-on {
  margin-left: 0;
  margin-right: 1.5rem;
}
.content figure {
  margin: 0;
  padding: 0;
}
.content figcaption p {
  text-align: center;
  font-style: italic;
  font-size: 1.6rem;
  margin: 0;
}

.list ul {
  margin: 3.2rem 0 3.2rem 0;
  list-style: none;
  padding: 0;
}
.list ul li {
  font-size: 1.8rem;
}
@media only screen and (max-width: 768px) {
  .list ul li {
    margin: 1.6rem 0 1.6rem 0;
  }
}
.list ul li .date {
  display: inline-block;
  width: 20rem;
  text-align: right;
  margin-right: 3rem;
}
@media only screen and (max-width: 768px) {
  .list ul li .date {
    display: block;
    text-align: left;
  }
}
.list ul li .title {
  font-size: 1.8rem;
  color: #212121;
  font-family: Lato, Helvetica, sans-serif;
  font-weight: 700;
}
.list ul li .title:hover, .list ul li .title:focus {
  color: #1254a1;
}

img {
  padding: 1rem;
  width: 100%;
}

.small-centered-image {
  width: max(25%, 400px);
  display: block;
  margin: 0 auto;
  padding: 0;
  box-shadow: 5px 5px 10px 2px #1a1a1a;
}

.icon {
  display: inline-block;
}

.footer {
  width: 100%;
  text-align: center;
  line-height: 2rem;
  margin-bottom: 1rem;
}
.footer i {
  width: 1.6rem;
}
.footer #footer--first-line {
  font-size: 1.1rem;
}
.footer #footer--first-line p {
  margin: 0;
}
.footer #footer--second-line {
  display: flex;
  justify-content: center;
  font-family: "Inconsolata", monospace;
}
.footer #footer--second-line span,
.footer #footer--second-line a {
  display: flex;
  align-items: center;
  padding: 0 0.5rem;
  min-width: 28px;
  min-height: 22px;
}

.navigation {
  height: 6rem;
  width: 100%;
}
.navigation a,
.navigation span {
  display: inline;
  font-size: 1.6rem;
  font-family: Lato, Helvetica, sans-serif;
  font-weight: 700;
  line-height: 6rem;
  color: #212121;
}
.navigation a:hover, .navigation a:focus {
  color: #1254a1;
}
@media (prefers-color-scheme: dark) {
  .navigation a,
.navigation span {
    color: #fafafa;
  }
  .navigation a:hover, .navigation a:focus {
    color: #83b6f1;
  }
}
.navigation .navigation-title {
  letter-spacing: 0.1rem;
  text-transform: uppercase;
}
.navigation .navigation-title.active {
  text-decoration: underline;
}
.navigation .navigation-list {
  float: right;
  list-style: none;
  margin-bottom: 0;
  margin-top: 0;
  visibility: visible;
}
@media only screen and (max-width: 768px) {
  .navigation .navigation-list {
    position: absolute;
    top: 6rem;
    right: 0;
    z-index: 5;
    padding: 0;
    width: 100%;
    background-color: #fafafa;
    border-top: solid 2px #e0e0e0;
    border-bottom: solid 2px #e0e0e0;
    transition: opacity 0.25s, max-height 0.15s linear;
  }
  .navigation .navigation-list[data-expanded=false] {
    visibility: hidden;
  }
}
@media only screen and (max-width: 768px) and (prefers-color-scheme: dark) {
  .navigation .navigation-list {
    background-color: #212121;
    border-top: solid 2px #1a1a1a;
    border-bottom: solid 2px #1a1a1a;
  }
}
.navigation .navigation-list .navigation-item {
  float: left;
  margin: 0;
  position: relative;
}
@media only screen and (max-width: 768px) {
  .navigation .navigation-list .navigation-item {
    border-top: solid 1px #e0e0e0;
    float: none !important;
    text-align: center;
  }
  .navigation .navigation-list .navigation-item a,
.navigation .navigation-list .navigation-item span {
    line-height: 5rem;
  }
}
@media only screen and (max-width: 768px) and (prefers-color-scheme: dark) {
  .navigation .navigation-list .navigation-item {
    border-top: solid 1px #1a1a1a;
  }
}
.navigation .navigation-list .navigation-item a,
.navigation .navigation-list .navigation-item span {
  display: block;
  margin-left: 1rem;
  margin-right: 1rem;
}
.navigation .navigation-list .navigation-item a[aria-current=page],
.navigation .navigation-list .navigation-item span[aria-current=page] {
  text-decoration: underline;
}
@media only screen and (max-width: 768px) {
  .navigation .navigation-list .menu-separator {
    border-top: 2px solid #212121;
    margin: 0 8rem;
  }
  .navigation .navigation-list .menu-separator span {
    display: none;
  }
}
@media only screen and (max-width: 768px) and (prefers-color-scheme: dark) {
  .navigation .navigation-list .menu-separator {
    border-top: 2px solid #1a1a1a;
  }
}
.navigation .menu-button {
  display: none;
  background: none;
  border: none;
  float: right;
}
@media only screen and (max-width: 768px) {
  .navigation .menu-button {
    display: block;
    font-size: 2.4rem;
    font-weight: 400;
    line-height: 6rem;
    color: #212121;
    cursor: pointer;
  }
  .navigation .menu-button:hover, .navigation .menu-button:focus {
    color: #1254a1;
  }
}
@media only screen and (max-width: 768px) and (prefers-color-scheme: dark) {
  .navigation .menu-button {
    color: #fafafa;
  }
  .navigation .menu-button:hover, .navigation .menu-button:focus {
    color: #83b6f1;
  }
}
.navigation .menu-button i {
  max-width: 2rem;
}

.pagination {
  margin-top: 6rem;
  text-align: center;
  font-family: Lato, Helvetica, sans-serif;
}
.pagination li {
  display: inline;
  text-align: center;
  font-weight: 700;
}
.pagination li span {
  margin: 0;
  text-align: center;
  width: 3.2rem;
}
.pagination li a {
  font-weight: 300;
}
.pagination li a span {
  margin: 0;
  text-align: center;
  width: 3.2rem;
}

/*
 Solarized Color Schemes originally by Ethan Schoonover
 http://ethanschoonover.com/solarized

 Light mode Ported for PrismJS by Hector Matos
 Website: https://krakendev.io
 Twitter Handle: https://twitter.com/allonsykraken)

 Dark mode Ported for PrismJS by Michael Deeb
 Website: https://michaeljdeeb.com
 Twitter Handle: https://twitter.com/michaeljdeeb)
*/
/*
SOLARIZED HEX
--------- -------
base03    #002b36
base02    #073642
base01    #586e75
base00    #657b83
base0     #839496
base1     #93a1a1
base2     #eee8d5
base3     #fdf6e3
yellow    #b58900
orange    #cb4b16
red       #dc322f
magenta   #d33682
violet    #6c71c4
blue      #268bd2
cyan      #2aa198
green     #859900
*/
code[class*=language-],
pre[class*=language-] {
  color: #657b83;
  /* base00 */
  font-size: 1em;
  text-align: left;
  white-space: pre;
  word-spacing: normal;
  word-break: normal;
  word-wrap: normal;
  line-height: 1.5;
  -moz-tab-size: 4;
  -o-tab-size: 4;
  tab-size: 4;
  -webkit-hyphens: none;
  -moz-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}

pre[class*=language-]::-moz-selection,
pre[class*=language-] ::-moz-selection,
code[class*=language-]::-moz-selection,
code[class*=language-] ::-moz-selection {
  background: #073642;
  /* base02 */
}

pre[class*=language-]::selection,
pre[class*=language-] ::selection,
code[class*=language-]::selection,
code[class*=language-] ::selection {
  background: #073642;
  /* base02 */
}

/* Code blocks */
pre[class*=language-] {
  padding: 1em;
  margin: 0.5em 0;
  overflow: auto;
  border-radius: 0.3em;
}

:not(pre) > code[class*=language-],
pre[class*=language-] {
  background-color: #fdf6e3;
  /* base3 */
}

/* Inline code */
:not(pre) > code[class*=language-] {
  padding: 0.1em;
  border-radius: 0.3em;
}

.token.comment,
.token.prolog,
.token.doctype,
.token.cdata {
  color: #93a1a1;
  /* base1 */
}

.token.punctuation {
  color: #586e75;
  /* base01 */
}

.token.namespace {
  opacity: 0.7;
}

.token.property,
.token.tag,
.token.boolean,
.token.number,
.token.constant,
.token.symbol,
.token.deleted {
  color: #268bd2;
  /* blue */
}

.token.selector,
.token.attr-name,
.token.string,
.token.char,
.token.builtin,
.token.url,
.token.inserted {
  color: #2aa198;
  /* cyan */
}

.token.entity {
  color: #657b83;
  /* base00 */
  background: #eee8d5;
  /* base2 */
}

.token.atrule,
.token.attr-value,
.token.keyword {
  color: #859900;
  /* green */
}

.token.function,
.token.class-name {
  color: #b58900;
  /* yellow */
}

.token.regex,
.token.important,
.token.variable {
  color: #cb4b16;
  /* orange */
}

.token.important,
.token.bold {
  font-weight: bold;
}

.token.italic {
  font-style: italic;
}

.token.entity {
  cursor: help;
}

@media (prefers-color-scheme: dark) {
  code[class*=language-],
pre[class*=language-] {
    color: #839496;
    /* base0 */
  }
  pre[class*=language-]::-moz-selection,
pre[class*=language-] ::-moz-selection,
code[class*=language-]::-moz-selection,
code[class*=language-] ::-moz-selection {
    background: #073642;
    /* base02 */
  }
  pre[class*=language-]::selection,
pre[class*=language-] ::selection,
code[class*=language-]::selection,
code[class*=language-] ::selection {
    background: #073642;
    /* base02 */
  }
  :not(pre) > code[class*=language-],
pre[class*=language-] {
    background: #002b36;
    /* base03 */
  }
  .token.attr-name,
.token.comment,
.token.prolog,
.token.doctype,
.token.cdata {
    color: #93a1a1;
    /* base1 */
  }
  .token.punctuation {
    color: #657b83;
    /* base00 */
  }
  .token.property,
.token.boolean,
.token.number,
.token.constant,
.token.symbol,
.token.deleted {
    color: #d33682;
    /* magenta */
  }
  .token.entity {
    color: #2aa198;
    /* cyan */
  }
  .token.atrule,
.token.keyword {
    color: #859900;
    /* yellow */
  }
  .token.tag,
.token.function {
    color: #268bd2;
    /* blue */
  }
}
.avatar {
  width: 20rem;
  height: auto;
  min-height: 20rem;
  margin: 0 auto;
  position: relative;
}
.avatar img {
  border-radius: 50%;
  position: relative;
  left: 0;
  top: 0;
  width: 20rem;
  height: auto;
  padding: 0;
}
.avatar #avatar-outline {
  border-radius: 50%;
  position: absolute;
  left: 0;
  top: 0;
  z-index: -1;
  display: block;
}
.avatar #avatar-placeholder {
  position: absolute;
  left: 0;
  top: 0;
  z-index: -2;
  display: block;
  width: 20rem;
  height: auto;
  min-height: 20rem;
  border-radius: 50%;
  background-color: #9697a9;
}

.centered {
  display: flex;
  align-items: center;
  justify-content: center;
}

.icon {
  display: inline-block;
}

.about {
  text-align: center;
}
.about h1 {
  margin-top: 2rem;
  margin-bottom: 0.5rem;
}
.about h2 {
  margin-top: 1rem;
  margin-bottom: 0.5rem;
  font-size: 2.4rem;
}
@media only screen and (max-width: 768px) {
  .about h2 {
    font-size: 2rem;
  }
}
.about ul {
  display: flex;
  justify-content: space-between;
  list-style: none;
  margin: 2rem auto;
  width: 256px;
  padding: 0;
}
.about ul li {
  width: 64px;
  height: 64px;
}
.about ul li a {
  color: #212121;
  text-transform: uppercase;
  font-size: 1.6rem;
}
.about ul li a:hover, .about ul li a:focus {
  color: #1254a1;
}
@media only screen and (max-width: 768px) {
  .about ul li a {
    font-size: 1.4rem;
  }
}
@media (prefers-color-scheme: dark) {
  .about ul li a {
    color: #fafafa;
  }
  .about ul li a:hover, .about ul li a:focus {
    color: #83b6f1;
  }
}
.about ul li a i {
  font-size: 3.2rem;
}

.projects article {
  display: flex;
  flex-direction: column;
  margin-top: 3rem;
  margin-bottom: 1rem;
  border-radius: 4px;
  padding: 8px 16px;
  box-shadow: 0px 0px 6px 8px #e0e0e0;
}
@media (prefers-color-scheme: dark) {
  .projects article {
    box-shadow: 0px 0px 6px 8px #1a1a1a;
  }
}
.projects article p {
  text-indent: 1.5rem;
}
.projects article .header-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-top: 1rem;
}
.projects article .header-row header {
  margin: 0;
}
.projects article .header-row header h2 {
  margin: 0;
}
.projects article .header-row .github-link {
  width: 32px;
  height: 32px;
}
.projects article .read-more {
  display: flex;
  justify-content: right;
  padding: 8px;
}
.projects .banner-image-container {
  padding: 1rem 0;
}

.project .header-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-top: 1rem;
}
.project .header-row .project-title {
  margin: 3.2rem 0 3.2rem 0;
}
.project .header-row header {
  margin: 0;
}
.project .header-row .github-link {
  width: 32px;
  height: 32px;
  margin: auto 0;
}
